# Method: logicalProducts.lookupEntity

- [HTTP request](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts/lookupEntity#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts/lookupEntity#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts/lookupEntity#body.request_body)
- [Response body](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts/lookupEntity#body.response_body)

Look up entities.

### HTTP request

`GET https://cloudproductregistry.googleapis.com/v1/{lookupUri=logicalProducts/*}:lookupEntity`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `lookupUri` | `string` Required. Entity uri to look up. Supported Formats: logicalProducts/{logicalProduct} logicalProducts/{logicalProduct}/variants/{variant} productSuites/{productSuite} |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/LookupEntityResponse`.